# vim: set sw=4 ts=4 et:
# Copyright (c) 2007-2008 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de


Name:           autodownloader
Version:        0.3.0
Release:        2.3
Summary:        Automatically download files
License:        GNU General Public License version 2 or later (GPLv2 or later)
Group:          Productivity/Networking/Other
URL:            http://sourceforge.net/projects/autodownloader
Source:         http://prdownloads.sourceforge.net/autodownloader/autodownloader-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
Requires:       python
Requires:       python-gtk
BuildRequires:  hicolor-icon-theme

%description
Autodownloader is a program written in Python that can be used
to automatically download files that are not freely distributable.

The program can choose from multiple mirrors and download the files
to a specified location. The files will also be checked using an md5
checksum.

%prep
%setup -q

%build
# nothing to build

%install
%makeinstall

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog GladeWindow-license.txt README.txt TODO example.autodlrc
%{_datadir}/autodl
%{_datadir}/icons/hicolor/*/apps/autodl.png

%changelog
* Sun Jun  1 2008 toni@links2linux.de
- update to 0.3.0
* Fri Nov 23 2007 toni@links2linux.de
- initial build 0.2.0
- spec file adapted from fedora package Hans de Goede <j.w.r.degoede@hhs.nl>
